Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jivesoftware.openfire.pubsub
Enum NodeSubscription.Type

    java.lang.Object
      java.lang.Enum<NodeSubscription.Type>
          org.jivesoftware.openfire.pubsub.NodeSubscription.Type

All Implemented Interfaces:
  Serializable, Comparable<NodeSubscription.Type>

Enclosing class:
  NodeSubscription

    public static enum NodeSubscription.Type

extends Enum<NodeSubscription.Type>

Enum Constant Summary
`items` Receive notification of new items only.
`nodes` Receive notification of new nodes only.

Method Summary
`static NodeSubscription.Type` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static NodeSubscription.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### items

    public static final NodeSubscription.Type items

  Receive notification of new items only.

### nodes

    public static final NodeSubscription.Type nodes

  Receive notification of new nodes only.

Method Detail

### values

    public static final NodeSubscription.Type[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(NodeSubscription.Type c : NodeSubscription.Type.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static NodeSubscription.Type valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2003-2008 Jive Software.